@charset "utf-8";

/* CSS Document */
* {
    margin: 0;
    padding: 0;
}

@font-face {
    font-family: Normal;
    src: url(css/n.ttf);
}

body {
    margin: 0px;
    padding: 0px;
    font-family: Normal;
    font-size: 1rem;
    color: #666;
    --bgcolor: #206252;
    --menu-bg: #30BFBF;
    --menu-fc: #404343;
    --otroVerde: #ededed;
    --myDMVbg: #fefffd;
    --btWidth: 120px;
    /* background-color: #319c9c; */
    scrollbar-width: auto;
}

.uInfo {
    display: flex;
    flex-direction: column;

    & span {
        font-size: .8rem;
    }

    color: var(--bgcolor);
    justify-content: center;
    align-items: center;
    gap: 2px;
    padding:.3rem 1rem .3rem 1rem;
    margin-left: 2rem;
    background-color: var(--otroVerde);
    height: 2.5rem;
    border-radius: 5px;
    cursor: pointer;

}

.pageContainer {
    position: fixed;
    width: 100%;
    top: 76px;
    bottom: 31px;
    z-index: 0;
    overflow-y: auto;
}

::-webkit-scrollbar {
    width: none;
}

a {
    text-decoration: none;
    color: var(--bgcolor);
}

a:link {
    text-decoration: none;
    color: var(--bgcolor);
}

a:hover {
    text-decoration: none;
    font-weight: bold;
}

img {
    text-decoration: none;
    border: none;
    outline: none;
    color: white;
}

.top {
    display: flex;
    align-items: center;
    padding-left: 3rem;
    padding-right: 3rem;
    /* width: 100%; */
    height: 6vh;
    background-color: white;
    color: var(--bgcolor);
    font-size: .7rem;
}

.menuBrand {
    width: 100%;
    /* height: 75px; */
    background: var(--bgcolor);
    /* z-index: 1; */
    display: flex;
    /* flex-direction: row; */
    justify-content: space-around;
    padding-left: 3rem;
    padding-right: 3rem;
}

.menuBrandTop {
    display: flex;
    height: 10vh;
    background: var(--bgcolor);
    align-items: center;
    justify-content: space-between;
    color: white;
    padding-left: 3rem;
    padding-right: 3rem;
}

.searchTop {
    display: flex;
    align-items: center;
    width: 30vw;
}

.inputSite {
    width: 90%;
    height: 1.8rem;
    padding-left: .5rem;
    padding-right: .5rem;
    font-size: 1.1rem;
    border: none;
    border-radius: 3px 0px 0px 3px;
}

.narrowMenu {
    display: none;
    background-color: var(--bgcolor);
    height: 6vh;
    justify-content: space-around;
    align-items: center;
    color: white;
    font-size: 1.5rem;
}

.menuBrandDown {
    /* position: fixed; */
    display: flex;
    width: 100%;
    height: 6vh;
    background: var(--bgcolor);
    align-content: center;
    justify-content: center;
    color: white
}

.menuTag {
    cursor: pointer;
}

.subMenu {
    position: absolute;
    /* padding: 1rem; */
    display: flex;
    flex-direction: column;
    gap: .6rem;
    background-color: var(--bgcolor);
    color: white;
    z-index: 2;
    border-radius: 0px 0px 4px 4px;
    border: 1px solid grey;
    border-top: none;
}

.subMenu a {
    color: white
}

.bigPicture {
    display: flex;
    height: 55vh;
    background-image: url(img/backPicture.png);
    background-repeat: no-repeat;
    background-size: cover;
    /* filter: blur(3px);
  -webkit-filter: blur(3px); */
}

.ready2serve {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    background-color: rgba(20, 62, 52, 0.6);
    color: white;
    position: relative;
    top: 15%;
    left: 5vw;
    z-index: 1;
    width: 25vw;
    height: 25vh;
    padding: 2rem;
    border-radius: 9px;
    text-align: justify;
    text-justify: inter-word;
}

.popular {
    display: flex;
    height: 24vh;
    background-color: var(--myDMVbg);
    width: 100%;
    overflow: hidden;
}

.popularServices {
    width: 6vw;
    height: 100%;
    background-color: var(--bgcolor);
    color: white;
    font-size: 1.8rem;
    font-weight: 800;
    align-content: center;
    text-align: center;
    padding-left: 4%;
    padding-right: 8%;
}

.narrowEsquina {
    display: none;
    width: 0;
    height: 0;
    border-left: 50vw solid transparent;
    border-right: 50vw solid transparent;
    border-top: 5vh solid var(--bgcolor);
    background-color: var(--otroVerde);
}

.esquina {
    width: 0;
    height: 0;
    border-top: 12vh solid transparent;
    border-bottom: 12.5vh solid transparent;
    border-left: 5vh solid var(--bgcolor);
    background-color: var(--otroVerde);
}

.homePopularServices {
    display: grid;
    width: 100%;
    justify-content: center;
    grid-template-columns: repeat(auto-fit, minmax(15vw, 1fr));
    justify-items: center;
    align-items: center;
    justify-content: space-around;
    background-color: var(--otroVerde);
}

.homePopularService {
    display: grid;
    grid-template-rows: subgrid;
    grid-row: span 3;
    align-items: center;
    justify-items: center;
    width: 220px;
    height: 220px;
}

.homeServiceImg {
    width: 40%;
}

.serviceButtons {
    width: 90%;
    height: 2.5rem;
    border: 2px solid var(--bgcolor);
    color: var(--bgcolor);
    cursor: pointer;
    font-weight: 600;
    background-color: transparent;
}

.serviceButtons:hover {
    color: white;
    background-color: var(--bgcolor);
}

@media(max-width:1200px) {
    .menuBrandDown {
        display: none;
    }

    .menuBrandTop {
        display: none;
    }

    .narrowMenu {
        display: flex;
    }

    .bigPicture {
        align-items: end;
    }

    .ready2serve {
        position: relative;
        display: flex;
        flex-direction: column;
        width: 98%;
        height: 16vh;
        gap: 1rem;
        background-color: var(--bgcolor);
        color: white;
        left: 0;
        top: auto;
        z-index: 1;
        padding: 2rem;
        border-radius: 0px;
    }

    .popular {
        flex-direction: column;
        height: 60vh;
        background-color: var(--myDMVbg);
        width: 100%;
        border-top: 1px solid white;
    }

    .popularServices {
        width: 100%;
        height: 8vh;
        background-color: var(--bgcolor);
        color: white;
        font-size: 1.7rem;
        font-weight: 800;
        padding-left: 0%;
        padding-right: 0%;
        align-content: flex-end;
    }

    .esquina {
        display: none;
    }

    .narrowEsquina {
        display: block
    }

    .homePopularServices {
        display: grid;
        width: 100%;
        grid-template-columns: repeat(2, 220px);
        justify-content: center;
        /* justify-items: center; */
        align-items: center;
        grid-gap: 2rem;
        background-color: var(--otroVerde);
    }

    .homePopularService {
        grid-gap: 0px;
    }
}

h1 {
    color: var(--bgcolor);
}

.final {
    display: flex;
    height: 7rem;
    padding: 1rem;
    background-color: #1d2e28;
    color: white;
    font-size: 1rem;
    align-items: center;
    /* justify-items: center; */
    justify-content: center;
    gap: 3rem;
}

.smedia {
    width: 46px;
    height: 46px;
    background-color: transparent;
    cursor: pointer;
    border-radius: 23px;
}

.smedia:hover {
    background-color: aquamarine;
}

.socialMedia {
    padding-top: 2rem;
    display: flex;
    height: 2rem;
    justify-content: center;
    gap: 4rem;
}

.allLinksGrid {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    column-gap: .5rem;
    /* grid-template-rows: 2rem,1fr; */
}

.linkColumn {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 3rem, 1fr;
    gap: .4rem;
    align-content: start;

    a {
        font-size: .8rem;
    }
}

.allLinks {
    display: flex;
    flex-direction: column;
    padding: 2rem;
    /* height: 10vh; */
    background-color: #dfe6da;

    /* background-color: #d8e2cf; */
}

.readyCollection {
    display: flex;
    flex-direction: column;
    justify-items: ceter;
    align-items: center;
    padding: 2rem;
    gap: 1rem;
    background-color: #9caf88;
}

/*Floating Back-To-Top Button*/
#myBtn {
    position: fixed;
    bottom: 40px;
    float: right;
    right: 40px;
    width: 50px;
    height: 50px;
    font-size: 20px;
    border-color: rgba(85, 85, 85, 0.2);
    background-color: rgb(100, 100, 100);
    padding: .5px;
    border-radius: 25px;
    cursor: pointer;
}

/*On Hover Color Change*/
#myBtn:hover {
    background-color: var(--bgcolor);
}


.yellowSingIn {
    color: yellow;
    font-size: 1.2rem;
    font-weight: 300;
}

.noGreen {
    color: white;
    cursor: pointer;
    font-size: .7rem;
    padding-top: .5rem;
}

.pressRelease {
    border: none;
    width: 18rem;
    height: 5.5rem;
    /* padding-left: 2rem;
        padding-right: 2rem; */
    padding: 1rem 2rem 1.5rem 2rem;
    font-size: 1.5rem;
    background-color: var(--bgcolor);
    color: white;
    cursor: pointer;

}

.blank {
    height: 3vh;
    background-color: white;
}

.theNews {
    display: flex;
    /* width: 100%; */
    background-color: rgb(241, 245, 245);
}

.newsImage {
    margin: 2rem;
}

.newDetails {
    display: flex;
    flex-direction: column;
    font-size: 1.2rem;
    justify-content: space-evenly;
}

.importante {
    width: 100%;
    height: 70vh;
    justify-items: center;
    color: var(--bgcolor);
    font-size: 2rem;
    font-weight: 800;
    background-color: white;
    padding-top: 3rem;
}

.importanteGrid {
    display: grid;
    width: 90%;
    margin-top: 1rem;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 2rem;
    font-size: 1rem;
    font-weight: 100;
}

.importanteCard {
    display: grid;
    height: 70vh;
    grid-template-rows: subgrid;
    grid-row: span 4;
    border: 1px solid gray;
}

.cardMiddle {
    height: 100%;
    padding-left: 1rem;
    padding-right: 1rem;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 40px 130px 1fr;
    font-size: 1.1rem;
}

h1 {
    font-size: 1.2rem;
    font-weight: 300;
    color: green;

    /* padding-top: 1rem; */
    padding-bottom: 1rem;
}

ready2serveBetter {
    font-size: 2rem;
    color: white;
}

.menu2 {
    display: flex;
    flex-direction: column;
    font-size: .9rem;
    gap: .3rem
}

.backToHome {
    font-size: .8rem;
    color: yellow;
}

.pageTitle {
    display: flex;
    flex-direction: column;
    background-color: var(--bgcolor);
    padding: 2rem;
    color: white;
    font-size: 2rem;
}

.topTest {
    display: flex;
    align-items: center;
    padding: 0rem 3rem 0rem 3rem;
    justify-content: space-between;
    height: 8vh;

     input {
            height: 1.6rem;
            width: auto;
            font-size: 1.2rem;
            padding-left: .3rem;
            margin-bottom: 1rem;
     }
}